/**
 * @file
 * consent_manager behaviors.
 */

((Drupal, drupalSettings) => {

  let openedWindow;
  /**
   * Attach recaptcha response token from google with form.
   *
   * @type {{attach: Drupal.behaviors.reCaptchaV3.attach}}
   */
  Drupal.behaviors.consentManagerSettings = {
    attach: (context) => {
      once('consent-manager', '.consent-manager-settings-form', context).forEach(
        () => {
          window.addEventListener('message', (e) => {
            if (e.origin !== 'https://app.consentmanager.net') return;
            const type = drupalSettings.consent_manager.type + 'codes';
            const data = JSON.parse(e.data);
            if (data.type !== type) return;
            for (const property in data) {
              const input = document.querySelector('.consent-manager-settings-form [name="' + property + '"]')
              if (input && data[property]) {
                input.value = data[property];
              }
            }
            openedWindow.close();
            document.querySelector('.consent-manager-settings-form__submit').click();
          });
        },
      );

      once('consent-manager', '.consent-manager-install-button', context).forEach(
        (element) => {
          element.addEventListener('click', (e) => {
            const url = new URL('https://app.consentmanager.net/clientv2/onboarding');
            url.searchParams.append('type', drupalSettings.consent_manager.type);
            url.searchParams.append('domain', drupalSettings.consent_manager.domain);
            url.searchParams.append('lang', drupalSettings.consent_manager.lang);
            url.searchParams.append('source', 'drupal');
            openedWindow = window.open(url.toString(),'consentmanager', 'popup');
            e.preventDefault();
            e.stopPropagation();
          });
        },
      );
    },
  };

})(Drupal, drupalSettings);
