<?php

declare(strict_types=1);

namespace Drupal\consent_manager_analytics\Plugin\ConsentManager;

use Drupal\consent_manager\Attribute\ConsentManager;
use Drupal\consent_manager\ConsentManagerPluginPluginBase;
use Drupal\Core\StringTranslation\TranslatableMarkup;

/**
 * Plugin implementation of the consent_manager.
 */
#[ConsentManager(
  id: 'analytics',
  label: new TranslatableMarkup('Privacy-Friendly Website Analytics'),
  description: new TranslatableMarkup('With privacy-friendly Website Analytics we try to bridge the gap between data protection needs of your website-visitors and the wish for gathering usage-information of website-owners.'),
  has_block: FALSE,
)]
final class Analytics extends ConsentManagerPluginPluginBase {

  /**
   * Semi-automatic code markup.
   */
  protected const CODE = '<script src="https://@host/trackless/delivery/@codeid.js" async type="text/javascript"></script>';

}
