<?php

namespace Drupal\Tests\consent_manager_analytics\Functional;

use Drupal\Tests\BrowserTestBase;

/**
 * Simple test to ensure that main page loads with module enabled.
 *
 * @group consent_manager_analytics
 */
class LoadTest extends BrowserTestBase {

  /**
   * Test CMP ID value.
   */
  public const CDID = 'aaaaaaaaaaaa';

  /**
   * Test HOST value.
   */
  public const HOST = 'delivery.consentmanager.net';

  /**
   * {@inheritdoc}
   */
  protected static $modules = ['consent_manager_analytics'];

  /**
   * {@inheritdoc}
   */
  protected $defaultTheme = 'stark';

  /**
   * {@inheritdoc}
   */
  protected function setUp(): void {
    parent::setUp();

    $this->config('system.site')
      ->set('name', 'consentmanager')
      ->save(TRUE);
  }

  /**
   * Automatic code test.
   *
   * Tests that the home page loads with a 200 response and with automatic code.
   */
  public function testCode() {
    $this->config('consent_manager_analytics.settings')
      ->set('codeid', self::CDID)
      ->set('host', self::HOST)
      ->save();
    $this->drupalGet('<front>');
    $this->assertSession()->statusCodeEquals(200);
    $this->assertSession()->responseContains('https://' . self::HOST . '/trackless/delivery/' . self::CDID . '.js');
  }

}
