<?php

declare(strict_types=1);

namespace Drupal\consent_manager_dsr\Plugin\ConsentManager;

use Drupal\consent_manager\Attribute\ConsentManager;
use Drupal\consent_manager\ConsentManagerPluginPluginBase;
use Drupal\Core\StringTranslation\TranslatableMarkup;

/**
 * Plugin implementation of the consent_manager.
 */
#[ConsentManager(
  id: 'dsr',
  label: new TranslatableMarkup('Data Subject Rights'),
  description: new TranslatableMarkup('A tool to create a Data Subject Rights form and integrate it into your website.'),
)]
final class Dsr extends ConsentManagerPluginPluginBase {

  /**
   * Automatic code markup.
   */
  protected const CODE = '<div id="dsar"></div><script async src="https://@host/delivery/dsarform.php?dsarid=@codeid&type=script" type="text/javascript" data-cmp-ab="1"></script>';

}
