<?php

declare(strict_types=1);

namespace Drupal\consent_manager_pcp\Plugin\ConsentManager;

use Drupal\consent_manager\Attribute\ConsentManager;
use Drupal\consent_manager\ConsentManagerPluginPluginBase;
use Drupal\Core\StringTranslation\TranslatableMarkup;

/**
 * Plugin implementation of the consent_manager.
 */
#[ConsentManager(
  id: 'pcp',
  label: new TranslatableMarkup('Privacy Policy Generator'),
  description: new TranslatableMarkup('A privacy policy is a written statement that contains information about how your website collects, processes and stores personal data of its users.'),
)]
final class Pcp extends ConsentManagerPluginPluginBase {

  /**
   * Automatic code markup.
   */
  protected const CODE = '<div class="cmppolicy@codeid cmpstyleroot"></div><script src="https://@host/delivery/pcpinfo.php?cdid=@codeid&format=simple&lang=automatic" type="text/javascript" async></script>';

}
