<?php

declare(strict_types=1);

namespace Drupal\consent_manager_wb\Plugin\ConsentManager;

use Drupal\consent_manager\Attribute\ConsentManager;
use Drupal\consent_manager\ConsentManagerPluginPluginBase;
use Drupal\Core\StringTranslation\TranslatableMarkup;

/**
 * Plugin implementation of the consent_manager.
 */
#[ConsentManager(
  id: 'wb',
  label: new TranslatableMarkup('Whistleblowing Tool'),
  description: new TranslatableMarkup('A whistleblower software provides your company with all the necessary tools and an easy-to-use system so that you can easily comply with the EU Whistleblowing Directive and the Whistleblower Protection Act.'),
)]
final class Wb extends ConsentManagerPluginPluginBase {

  /**
   * Automatic code markup.
   */
  protected const CODE = '<div id="whistleblower"></div><script async src="https://@host/delivery/whistleblowerform.php?wbid=@codeid&type=script" type="text/javascript" data-cmp-ab="1"></script>';

}
