<?php

namespace Drupal\Tests\consent_manager_wb\Functional;

use Drupal\Tests\BrowserTestBase;

/**
 * Simple test to ensure that block loads correctly.
 *
 * @group consent_manager_wb
 */
class BlockTest extends BrowserTestBase {

  /**
   * Test CMP ID value.
   */
  public const CDID = 'aaaaaaaaaaaa';

  /**
   * Test HOST value.
   */
  public const HOST = 'delivery.consentmanager.net';

  /**
   * {@inheritdoc}
   */
  protected static $modules = ['block', 'consent_manager_wb'];

  /**
   * {@inheritdoc}
   */
  protected $defaultTheme = 'olivero';

  /**
   * An administrative user for testing.
   *
   * @var \Drupal\user\UserInterface
   */
  protected $adminUser;

  /**
   * {@inheritdoc}
   */
  protected function setUp(): void {
    parent::setUp();

    $this->config('system.site')
      ->set('name', 'consentmanager')
      ->save(TRUE);

    $this->adminUser = $this->drupalCreateUser([
      'administer blocks',
    ]);
  }

  /**
   * Tests the custom CSS classes for blocks.
   */
  public function testBlock() {
    $this->config('consent_manager_wb.settings')
      ->set('codeid', self::CDID)
      ->set('host', self::HOST)
      ->save();

    $this->drupalLogin($this->adminUser);
    $this->drupalPlaceBlock('consent_manager:wb', ['id' => 'test_block']);
    $this->drupalLogout();

    $assert = $this->assertSession();
    $this->drupalGet('<front>');
    $assert->responseContains('<div id="whistleblower">');
  }

}
